Web Vitals
Get Layout Shift Activity
GET
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringmetric?stringValue in
"CLS""LCP""INP""FCP""TTFB""FID"positiveOnly?"true"Value in
"true"from?stringto?stringdevice?stringbrowser?stringos?stringcountry?stringroute?stringsegment?string|array<string>excludeSegment?string|array<string>bucketMs?stringSuccess
application/json- response
[index: integer]?curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals/cls-activity'Example Response
[ { "period": "current", "bucketStart": 0, "samples": 0, "sessions": 0, "good": 0, "needsImprovement": 0, "poor": 0 }]curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals/cls-activity'[
{
"period": "current",
"bucketStart": 0,
"samples": 0,
"sessions": 0,
"good": 0,
"needsImprovement": 0,
"poor": 0
}
]